Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
EggSurface Class Reference

A parametric surface of some kind. More...

`#include "eggSurface.h"`

Inheritance diagram for EggSurface:

## Public Member Functions
| EggSurface (const EggSurface &copy)
| EggSurface (const std::string &name="")
virtual TypeHandle | force_init_type ()
virtual TypeHandle | get_type () const
int | get_u_subdiv () const
| Returns the requested number of subdivisions in the U direction, or 0 if no particular subdivisions have been requested.
int | get_v_subdiv () const
| Returns the requested number of subdivisions in the U direction, or 0 if no particular subdivisions have been requested.
EggSurface & | operator= (const EggSurface &copy)
void | set_u_subdiv (int subdiv)
| Sets the number of subdivisions in the U direction that will be requested across the surface.
void | set_v_subdiv (int subdiv)
| Sets the number of subdivisions in the U direction that will be requested across the surface.
Public Member Functions inherited from EggPrimitive
| EggPrimitive (const EggPrimitive &copy)
| EggPrimitive (const std::string &name="")
void | add_texture (EggTexture *texture)
| Applies the indicated texture to the primitive.
EggVertex * | add_vertex (EggVertex *vertex)
| Adds the indicated vertex to the end of the primitive's list of vertices, and returns it.
virtual void | apply_first_attribute ()
| Sets the first vertex of the triangle (or each component) to the primitive normal and/or color, if the primitive is flat-shaded.
virtual void | apply_last_attribute ()
| Sets the last vertex of the triangle (or each component) to the primitive normal and/or color, if the primitive is flat-shaded.
iterator | begin () const
virtual bool | cleanup ()
| Cleans up modeling errors in whatever context this makes sense.
void | clear ()
| Removes all of the vertices from the primitive.
void | clear_connected_shading ()
| Resets the connected_shading member in this primitive, so that get_connected_shading() will recompute a new value.
void | clear_material ()
void | clear_texture ()
| Removes any texturing from the primitive.
void | copy_attributes (const EggAttributes &other)
| Copies the rendering attributes from the indicated primitive.
void | copy_attributes (const EggPrimitive &other)
| Copies the rendering attributes from the indicated primitive.
void | copy_vertices (const EggPrimitive &other)
| Replaces the current primitive's list of vertices with a copy of the list of vertices on the other primitive.
virtual EggRenderMode * | determine_alpha_mode ()
| Walks back up the hierarchy, looking for an EggGroup or EggPrimitive or some such object at this level or above this primitive that has an alpha_mode other than AM_unspecified.
virtual EggRenderMode * | determine_bin ()
| Walks back up the hierarchy, looking for an EggGroup or EggPrimitive or some such object at this level or above this primitive that has a bin specified.
virtual EggRenderMode * | determine_depth_offset ()
| Walks back up the hierarchy, looking for an EggGroup or EggPrimitive or some such object at this level or above this primitive that has a depth_offset specified.
virtual EggRenderMode * | determine_depth_test_mode ()
| Walks back up the hierarchy, looking for an EggGroup or EggPrimitive or some such object at this level or above this node that has a depth_test_mode other than DTM_unspecified.
virtual EggRenderMode * | determine_depth_write_mode ()
| Walks back up the hierarchy, looking for an EggGroup or EggPrimitive or some such object at this level or above this node that has a depth_write_mode other than DWM_unspecified.
virtual EggRenderMode * | determine_draw_order ()
| Walks back up the hierarchy, looking for an EggGroup or EggPrimitive or some such object at this level or above this primitive that has a draw_order specified.
virtual EggRenderMode * | determine_visibility_mode ()
| Walks back up the hierarchy, looking for an EggGroup or EggPrimitive or some such object at this level or above this node that has a visibility_mode other than VM_unspecified.
bool | empty () const
iterator | end () const
iterator | erase (iterator first, iterator last)
| Part of the implementaion of the EggPrimitive as an STL container.
iterator | erase (iterator position)
iterator | find (EggVertex *vertex)
| Returns the iterator pointing to the indicated vertex, or end() if the vertex is not part of the primitive.
bool | get_bface_flag () const
Shading | get_connected_shading () const
EggMaterial * | get_material () const
int | get_num_textures () const
size_t | get_num_vertices () const
EggVertexPool * | get_pool () const
virtual Shading | get_shading () const
std::string | get_sort_name () const
EggTexture * | get_texture () const
EggTexture * | get_texture (int n) const
EggVertex * | get_vertex (size_t index) const
bool | has_material () const
virtual bool | has_normals () const
| Returns true if any of the primitives (e.g.
virtual bool | has_primitives () const
| Returns true if there are any primitives (e.g.
bool | has_texture () const
| Returns true if the primitive has any textures specified, false otherwise.
bool | has_texture (EggTexture *texture) const
| Returns true if the primitive has the particular indicated texture, false otherwise.
bool | has_vertex_color () const
| Returns true if any vertex on the primitive has a specific color set, false otherwise.
bool | has_vertex_normal () const
| Returns true if any vertex on the primitive has a specific normal set, false otherwise.
iterator | insert (iterator position, EggVertex *x)
void | insert_vertex (size_t index, EggVertex *vertex)
virtual bool | joint_has_primitives () const
| Returns true if there are any primitives (e.g.
virtual EggPrimitive * | make_copy () const =0
EggPrimitive & | operator= (const EggPrimitive &copy)
EggVertex * | operator[] (int index) const
| This is read-only: you can't assign directly to an indexed vertex.
virtual void | post_apply_flat_attribute ()
| Intended as a followup to apply_last_attribute(), this also sets an attribute on the first vertices of the primitive, if they don't already have an attribute set, just so they end up with *something*.
reverse_iterator | rbegin () const
void | remove_doubled_verts (bool closed)
| Certain kinds of primitives, particularly polygons, don't like to have the same vertex repeated consecutively.
void | remove_nonunique_verts ()
| Removes any multiple appearances of the same vertex from the primitive.
EggVertex * | remove_vertex (EggVertex *vertex)
void | remove_vertex (size_t index)
reverse_iterator | rend () const
void | replace (iterator position, EggVertex *vertex)
| Replaces the vertex at the indicated position with the indicated vertex.
virtual void | reverse_vertex_ordering ()
| Reverses the ordering of the vertices in this primitive, if appropriate, in order to change the direction the polygon appears to be facing.
void | set_bface_flag (bool flag)
void | set_material (EggMaterial *material)
void | set_texture (EggTexture *texture)
| Replaces the current list of textures with the indicated texture.
void | set_vertex (size_t index, EggVertex *vertex)
size_type | size () const
void | test_vref_integrity () const
virtual void | unify_attributes (Shading shading)
| If the shading property is S_per_vertex, ensures that all vertices have a normal and a color, and the overall primitive does not.
virtual void | write (std::ostream &out, int indent_level) const =0
Public Member Functions inherited from EggNode
| EggNode (const EggNode &copy)
| EggNode (const std::string &name="")
void | apply_texmats ()
| Applies the texture matrices to the UV's of the vertices that reference them, and then removes the texture matrices from the textures themselves.
virtual bool | determine_decal ()
| Walks back up the hierarchy, looking for an EggGroup at this level or above that has the "decal" flag set.
virtual bool | determine_indexed ()
| Walks back up the hierarchy, looking for an EggGroup at this level or above that has the "indexed" scalar set.
void | flatten_transforms ()
| Removes any transform and instance records from this node in the scene graph and below.
int | get_depth () const
const LMatrix4d & | get_node_frame () const
| Returns the coordinate frame of the node itself.
const LMatrix4d & | get_node_frame_inv () const
| Returns the inverse of the matrix returned by get_node_frame().
const LMatrix4d * | get_node_frame_inv_ptr () const
| Returns either a NULL pointer or a unique pointer shared by nodes with the same get_node_frame_inv() matrix.
const LMatrix4d * | get_node_frame_ptr () const
| Returns either a NULL pointer or a unique pointer shared by nodes with the same get_node_frame() matrix.
const LMatrix4d & | get_node_to_vertex () const
| Returns the transformation matrix suitable for converting vertices in the coordinate space of the node to the appropriate coordinate space for storing in the egg file.
const LMatrix4d * | get_node_to_vertex_ptr () const
| Returns either a NULL pointer or a unique pointer shared by nodes with the same get_node_to_vertex() matrix.
EggGroupNode * | get_parent () const
const LMatrix4d & | get_vertex_frame () const
| Returns the coordinate frame of the vertices referenced by primitives at or under this node.
const LMatrix4d & | get_vertex_frame_inv () const
| Returns the inverse of the matrix returned by get_vertex_frame().
const LMatrix4d * | get_vertex_frame_inv_ptr () const
| Returns either a NULL pointer or a unique pointer shared by nodes with the same get_vertex_frame_inv() matrix.
const LMatrix4d * | get_vertex_frame_ptr () const
| Returns either a NULL pointer or a unique pointer shared by nodes with the same get_vertex_frame() matrix.
const LMatrix4d & | get_vertex_to_node () const
| Returns the transformation matrix suitable for converting the vertices as read from the egg file into the coordinate space of the node.
const LMatrix4d * | get_vertex_to_node_ptr () const
| Returns either a NULL pointer or a unique pointer shared by nodes with the same get_vertex_to_node() matrix.
virtual bool | is_anim_matrix () const
| Returns true if this node represents a table of animation transformation data, false otherwise.
virtual bool | is_joint () const
| Returns true if this particular node represents a <Joint> entry or not.
bool | is_local_coord () const
| Returns true if this node's vertices are not in the global coordinate space.
bool | is_under_instance () const
| Returns true if there is an <Instance> node somewhere in the egg tree at or above this node, false otherwise.
bool | is_under_transform () const
| Returns true if there is a <Transform> entry somewhere in the egg tree at or above this node, false otherwise.
EggNode & | operator= (const EggNode &copy)
bool | parse_egg (const std::string &egg_syntax)
| Parses the egg syntax given in the indicate string as if it had been read from the egg file within this object's definition.
int | rename_node (vector_string strip_prefix)
| Rename by stripping out the prefix.
void | test_under_integrity () const
void | transform (const LMatrix4d &mat)
| Applies the indicated transformation to the node and all of its descendants.
void | transform_vertices_only (const LMatrix4d &mat)
| Applies the indicated transformation only to vertices that appear in global space within vertex pools at this node and below.
Public Member Functions inherited from EggNamedObject
| EggNamedObject (const EggNamedObject &copy)
| EggNamedObject (const std::string &name="")
EggNamedObject & | operator= (const EggNamedObject &copy)
void | output (std::ostream &out) const
void | write_header (std::ostream &out, int indent_level, const char *egg_keyword) const
| Writes the first line of the egg object, e.g.
Public Member Functions inherited from EggObject
| EggObject (const EggObject &copy)
virtual EggTransform * | as_transform ()
| Returns this object cross-cast to an EggTransform pointer, if it inherits from EggTransform, or NULL if it does not.
void | clear_user_data ()
| Removes *all* user data pointers from the node.
void | clear_user_data (TypeHandle type)
| Removes the user data pointer of the indicated type.
EggUserData * | get_user_data () const
| Returns the user data pointer most recently stored on this object, or NULL if nothing was previously stored.
EggUserData * | get_user_data (TypeHandle type) const
| Returns the user data pointer of the indicated type, if it exists, or NULL if it does not.
bool | has_user_data () const
| Returns true if a generic user data pointer has recently been set and not yet cleared, false otherwise.
bool | has_user_data (TypeHandle type) const
| Returns true if the user data pointer of the indicated type has been set, false otherwise.
EggObject & | operator= (const EggObject &copy)
void | set_user_data (EggUserData *user_data)
| Sets the user data associated with this object.
Public Member Functions inherited from TypedReferenceCount
| TypedReferenceCount (const TypedReferenceCount &copy)
void | operator= (const TypedReferenceCount &copy)
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer.
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer.
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type.
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly.
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type.
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object.
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise.
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack.
void | ref () const
| Explicitly increments the reference count.
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero.
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus.
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus.
virtual bool | unref () const
| Explicitly decrements the reference count.
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one.
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object.
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object.
Public Member Functions inherited from Namable
| Namable (const std::string &initial_name="")
void | clear_name ()
| Resets the Namable's name to empty.
const std::string & | get_name () const
bool | has_name () const
| Returns true if the Namable has a nonempty name set, false if the name is empty.
void | output (std::ostream &out) const
| Outputs the Namable.
void | set_name (const std::string &name)
Public Member Functions inherited from EggAttributes
| EggAttributes (const EggAttributes &copy)
void | clear_color ()
void | clear_normal ()
int | compare_to (const EggAttributes &other) const
| An ordering operator to compare two vertices for sorting order.
void | copy_color (const EggAttributes &other)
| Sets this color to be the same as the other's, include morphs.
void | copy_normal (const EggAttributes &other)
| Sets this normal to be the same as the other's, include morphs.
LColor | get_color () const
| Returns the color set on this particular attribute.
const LNormald & | get_normal () const
bool | has_color () const
bool | has_normal () const
bool | matches_color (const EggAttributes &other) const
| Returns true if this color matches that of the other EggAttributes object, include the morph list.
bool | matches_normal (const EggAttributes &other) const
| Returns true if this normal matches that of the other EggAttributes object, include the morph list.
EggAttributes & | operator= (const EggAttributes &copy)
void | set_color (const LColor &Color)
void | set_normal (const LNormald &normal)
bool | sorts_less_than (const EggAttributes &other) const
| An ordering operator to compare two vertices for sorting order.
void | transform (const LMatrix4d &mat)
| Applies the indicated transformation matrix to the attributes.
void | write (std::ostream &out, int indent_level) const
| Writes the attributes to the indicated output stream in Egg format.
Public Member Functions inherited from EggRenderMode
| EggRenderMode (const EggRenderMode &copy)
void | clear_bin ()
| Removes the bin name that was set for this particular object.
void | clear_depth_offset ()
| Removes the depth-offset flag from this particular object.
void | clear_draw_order ()
| Removes the draw-order flag from this particular object.
AlphaMode | get_alpha_mode () const
| Returns the alpha mode that was set, or AM_unspecified if nothing was set.
std::string | get_bin () const
| Returns the bin name that has been set for this particular object, if any.
int | get_depth_offset () const
| Returns the "depth-offset" flag as set for this particular object.
DepthTestMode | get_depth_test_mode () const
| Returns the depth_test mode that was set, or DTM_unspecified if nothing was set.
DepthWriteMode | get_depth_write_mode () const
| Returns the depth_write mode that was set, or DWM_unspecified if nothing was set.
int | get_draw_order () const
| Returns the "draw-order" flag as set for this particular object.
VisibilityMode | get_visibility_mode () const
| Returns the visibility mode that was set, or VM_unspecified if nothing was set.
bool | has_bin () const
| Returns true if a bin name has been set for this particular object.
bool | has_depth_offset () const
| Returns true if the depth-offset flag has been set for this particular object.
bool | has_draw_order () const
| Returns true if the draw-order flag has been set for this particular object.
bool | operator!= (const EggRenderMode &other) const
bool | operator< (const EggRenderMode &other) const
EggRenderMode & | operator= (const EggRenderMode &copy)
bool | operator== (const EggRenderMode &other) const
void | set_alpha_mode (AlphaMode mode)
| Specifies precisely how the transparency for this geometry should be achieved, or if it should be used.
void | set_bin (const std::string &bin)
| Sets the "bin" string for this particular object.
void | set_depth_offset (int bias)
| Sets the "depth-offset" flag associated with this object.
void | set_depth_test_mode (DepthTestMode mode)
| Specifies whether this geometry should be tested against the depth buffer when it is drawn (assuming the rendering backend provides a depth buffer).
void | set_depth_write_mode (DepthWriteMode mode)
| Specifies whether writes should be made to the depth buffer (assuming the rendering backend provides a depth buffer) when rendering this geometry.
void | set_draw_order (int order)
| Sets the "draw-order" flag associated with this object.
void | set_visibility_mode (VisibilityMode mode)
| Specifies whether this geometry is to be considered normally visible, or hidden.
void | write (std::ostream &out, int indent_level) const
| Writes the attributes to the indicated output stream in Egg format.

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from EggPrimitive
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from EggNode
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from EggNamedObject
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from EggObject
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96.
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from Namable
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from EggAttributes
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from EggRenderMode
static TypeHandle | get_class_type ()
static void | init_type ()
static AlphaMode | string_alpha_mode (const std::string &string)
| Returns the AlphaMode value associated with the given string representation, or AM_unspecified if the string does not match any known AlphaMode value.
static DepthTestMode | string_depth_test_mode (const std::string &string)
| Returns the DepthTestMode value associated with the given string representation, or DTM_unspecified if the string does not match any known DepthTestMode value.
static DepthWriteMode | string_depth_write_mode (const std::string &string)
| Returns the DepthWriteMode value associated with the given string representation, or DWM_unspecified if the string does not match any known DepthWriteMode value.
static VisibilityMode | string_visibility_mode (const std::string &string)
| Returns the HiddenMode value associated with the given string representation, or VM_unspecified if the string does not match any known HiddenMode value.

## Additional Inherited Members
Public Types inherited from EggPrimitive
typedef Vertices::const_iterator | const_iterator
typedef Vertices::const_pointer | const_pointer
typedef Vertices::const_reference | const_reference
typedef Vertices::const_reverse_iterator | const_reverse_iterator
typedef Vertices::difference_type | difference_type
typedef Vertices::const_iterator | iterator
typedef Vertices::const_pointer | pointer
typedef Vertices::const_reference | reference
typedef Vertices::const_reverse_iterator | reverse_iterator
enum | Shading { S_unknown , S_overall , S_per_face , S_per_vertex }
typedef Vertices::size_type | size_type
Public Types inherited from EggRenderMode
enum | AlphaMode { AM_unspecified , AM_off , AM_on , AM_blend , AM_blend_no_occlude , AM_ms , AM_ms_mask , AM_binary , AM_dual , AM_premultiplied }
enum | DepthTestMode { DTM_unspecified , DTM_off , DTM_on }
enum | DepthWriteMode { DWM_unspecified , DWM_off , DWM_on }
enum | VisibilityMode { VM_unspecified , VM_hidden , VM_normal }
Public Attributes inherited from EggPrimitive
| clear_material
| Removes any material from the primitive.
| get_bface_flag
| Retrieves the backfacing flag of the polygon.
| get_connected_shading
| Determines what sort of shading properties this primitive's connected neighbors have.
| get_material
| Returns a pointer to the applied material, or NULL if there is no material applied.
| get_num_textures
| Returns the number of textures applied to the primitive.
| get_num_vertices
| get_pool
| Returns the vertex pool associated with the vertices of the primitive, or NULL if the primitive has no vertices.
| get_shading
| Returns the shading properties apparent on this particular primitive.
| get_sort_name
| Returns the name of the primitive for the purposes of sorting primitives into different groups, if there is one.
| get_texture
| Returns the first texture on the primitive, if any, or NULL if there are no textures on the primitive.
| get_vertex
| Returns a particular index based on its index number.
| has_material
| Returns true if the primitive is materiald (and get_material() will return a real pointer), false otherwise (and get_material() will return NULL).
| insert_vertex
| Inserts a vertex at the given position.
| remove_vertex
| Removes the indicated vertex from the primitive and returns it.
| set_bface_flag
| Sets the backfacing flag of the polygon.
| set_material
| Applies the indicated material to the primitive.
| set_vertex
| Replaces a particular vertex based on its index number in the list of vertices.
Public Attributes inherited from EggNode
| get_depth
| Returns the number of nodes above this node in the egg hierarchy.
| get_parent
Public Attributes inherited from TypedObject
| get_type
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count.
Public Attributes inherited from Namable
| get_name
| set_name
Public Attributes inherited from EggAttributes
EggMorphNormalList | _dnormals
EggMorphColorList | _drgbas

## Detailed Description

A parametric surface of some kind.

See EggNurbsSurface.

Definition at line 24 of file eggSurface.h.

## Constructor & Destructor Documentation

## ◆ EggSurface() [1/2]

EggSurface::EggSurface | ( | const std::string & | name = "" | ) |
| inline explicit

Definition at line 17 of file eggSurface.I.

## ◆ EggSurface() [2/2]

EggSurface::EggSurface | ( | const EggSurface & | copy | ) |
| inline

Definition at line 26 of file eggSurface.I.

## Member Function Documentation

## ◆ force_init_type()

virtual TypeHandle EggSurface::force_init_type | ( |  | ) |
| inline virtual

Reimplemented from EggPrimitive.

Definition at line 52 of file eggSurface.h.

## ◆ get_class_type()

static TypeHandle EggSurface::get_class_type | ( |  | ) |
| inline static

Definition at line 41 of file eggSurface.h.

## ◆ get_type()

virtual TypeHandle EggSurface::get_type | ( |  | ) | const
| inline virtual

Reimplemented from EggPrimitive.

Definition at line 49 of file eggSurface.h.

## ◆ get_u_subdiv()

int EggSurface::get_u_subdiv | ( |  | ) | const
| inline

Returns the requested number of subdivisions in the U direction, or 0 if no particular subdivisions have been requested.

Definition at line 61 of file eggSurface.I.

Referenced by EggNurbsSurface::write().

## ◆ get_v_subdiv()

int EggSurface::get_v_subdiv | ( |  | ) | const
| inline

Returns the requested number of subdivisions in the U direction, or 0 if no particular subdivisions have been requested.

Definition at line 81 of file eggSurface.I.

Referenced by EggNurbsSurface::write().

## ◆ init_type()

static void EggSurface::init_type | ( |  | ) |
| inline static

Definition at line 44 of file eggSurface.h.

## ◆ operator=()

EggSurface & EggSurface::operator= | ( | const EggSurface & | copy | ) |
| inline

Definition at line 37 of file eggSurface.I.

## ◆ set_u_subdiv()

void EggSurface::set_u_subdiv | ( | int | subdiv | ) |
| inline

Sets the number of subdivisions in the U direction that will be requested across the surface.

(This doesn't necessary guarantee that this number of subdivisions will be made; it's just a hint to any surface renderer or quick tesselator.) Set the number to 0 to disable the hint.

Definition at line 52 of file eggSurface.I.

## ◆ set_v_subdiv()

void EggSurface::set_v_subdiv | ( | int | subdiv | ) |
| inline

Sets the number of subdivisions in the U direction that will be requested across the surface.

(This doesn't necessary guarantee that this number of subdivisions will be made; it's just a hint to any surface renderer or quick tesselator.) Set the number to 0 to disable the hint.

Definition at line 72 of file eggSurface.I.

The documentation for this class was generated from the following files:

- panda/src/egg/eggSurface.h
- panda/src/egg/eggSurface.cxx
- panda/src/egg/eggSurface.I